<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/gzip.php";
require_once"../template/header.php";

        
if(!empty($logus) && !empty($mailsus)){     
$text = @file("../local/profil/$logus.prof"); 
$udata = explode(":||:",$text[0]);
$provpass=trim($udata[4]);

     
if($mailsus==$provpass) {
if($_SESSION['mail_kod']==$provkod){	
   
$_SESSION['mail_kod'] ="";

$newpas=generate_password();
$new=md5($newpas);


$subject = 'Восстановление пароля с сайта '.$config_title;
$mail = "Здравствуйте ".$logus."\r\nВаши новые данные для входа на на сайт ".$config_home."\nЛогин: ".$logus."\nПароль: ".$newpas."\r\n\r\nЗапомните и постарайтесь больше не забывать данные, а лучше сделайте сразу закладку на наш сайт\r\n
".$config_home."/input.php?log=".$logus."&par=".$newpas."&cookietrue=1
\r\nПароль вы сможете поменять в своем профиле\r\nВсего наилучшего";

$subject = utf_to_win($subject);
$mail = utf_to_win($mail);

$subject = convert_cyr_string($subject, 'w','k');
$mail = convert_cyr_string($mail, 'w','k');

$subject = '=?KOI8-R?B?'.base64_encode($subject).'?=';

$adds = "From: \"".$config_nikname."\" <".$config_emails.">\n"; 
$adds .= "X-sender: \"".$config_nikname."\"<".$config_emails.">\n";
$adds .= "Content-Type: text/plain; charset=koi8-r\n";   
$adds .= "MIME-Version: 1.0\r\n";
$adds .= "Content-Transfer-Encoding: 8bit\r\n";
$adds .= "X-Mailer: PHP v.".phpversion();

mail($udata[4],$subject,$mail,$adds);


//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$logus.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[1]=$new;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$logus.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
unset($utext);
}  
header ("Location: ../index.php?isset=lostpass&".SID); exit;

}else{header ("Location: lostpassword.php?isset=noprovkod&".SID);}
}else{header ("Location: lostpassword.php?isset=nolostpass&".SID); exit;}
}else{header ("Location: lostpassword.php?isset=nolostpass&".SID); exit;} 
?>